Frame(3)

NAME
Tk::Frame - Create and manipulate Frame widgets

SYNOPSIS
$frame = $parent->Frame(?options?);

STANDARD OPTIONS
-borderwidth    -highlightbackground    -highlightthickness    -takefocus
-class    -highlightcolor    -relief
-cursor

See Tk::options for details of the standard options.

WIDGET-SPECIFIC OPTIONS

Name:	background
Class:	Background
Switch:	-background
    This option is the same as the standard background option except that its value may also be specified as an undefined value. In this case, the widget will display no background or border, and no colors will be consumed from its colormap for its background and border.

Name:	colormap
Class:	Colormap
Switch:	-colormap
    Specifies a colormap to use for the window. The value may be either new, in which case a new colormap is created for the window and its children, or the name of another window (which must be on the same screen and have the same visual as $widget), in which case the new window will use the colormap from the specified window. If the colormap option is not specified, the new window uses the same colormap as its parent. This option may not be changed with the configure method.

Name:	container
Class:	Container
Switch:	-container
    The value must be a boolean. If true, it means that this window will be used as a container in which some other application will be embedded (for example, a Tk toplevel can be embedded using the -use option). The window will support the appropriate window manager protocols for things like geometry requests. The window should not have any children of its own in this application. This option may not be changed with the configure method.

Name:	height
Class:	Height
Switch:	-height
    Specifies the desired height for the window in any of the forms acceptable to Tk_GetPixels. If this option is less than or equal to zero then the window will not request any size at all.

Name:	visual
Class:	Visual
Switch:	-visual
    Specifies visual information for the new window in any of the forms accepted by Tk_GetVisual. If this option is not specified, the new window will use the same visual as its parent. The visual option may not be modified with the configure method.

Name:	width
Class:	Width
Switch:	-width
    Specifies the desired width for the window in any of the forms acceptable to Tk_GetPixels. If this option is less than or equal to zero then the window will not request any size at all.

DESCRIPTION
The Frame method creates a new window (given by the $widget argument) and makes it into a frame widget. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the frame such as its background color and relief. The frame command returns the path name of the new window.

A frame is a simple widget. Its primary purpose is to act as a spacer or container for complex window layouts. The only features of a frame are its background color and an optional 3-D border to make the frame appear raised or sunken.

WIDGET METHODS
The Frame method creates a widget object. This object supports the configure and cget methods described in Tk::options which can be used to enquire and modify the options described above. The widget also inherits all the methods provided by the generic Tk::Widget class.

BINDINGS
When a new frame is created, it has no default event bindings: frames are not intended to be interactive.

KEYWORDS
frame, widget